Subject: Re: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Jun 2013 18:00:39 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 25 Jun 2013 08:17:32 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > E.g., I have a large body of unit tests for display features, such as
> >> > cursor positioning, which I run by hand every time I touch any of the
> >> > related code.
> >> 
> >> Do you feel like adding it to the repo?
> >> Sounds like it would be useful to have in test/, even if not suitable
> >> for test/automated/.
> >
> > Who except myself would want to run, let's see... about 30 tests, by
> > hand, first in a GUI session, then in a TTY session?
> 
> I'm still plagued by display errors on one of my machines @ work. I
> would be willing to run the tests in order to catch this annoying
> bug. If it helps.

Since I don't know what kind of display errors you are having, it's
hard to answer your question.  The tests I was talking about exercise
the code in Emacs which moves and positions cursor triggered by cursor
motion commands, such as C-f, C-n, etc.